function [f y]=spectra(time,data)
% --Inputs:
% 1-D arrays: time, data;

% -- Output
% f: frequenc, y: magnitude
% Calling sequence:
%       [f y]=spectra([time data])
%
% Computes the FFT of the functional curve represented by time and data,
% being time the temporal instances and data the functional values at each
% of these.
%
% The returned FFT is normalized to have the units of data.

dt=time(2)-time(1);
Fs=1/dt;
f = Fs/2*linspace(0,1,floor(length(data)/2));
y=2*fft(data(:))/length(data);
y=abs(y(1:floor(length(data)/2)));
